import * as vue from 'vue';
import { PropType } from 'vue';
import { HTMLChakraProps } from '@chakra-ui/vue-system';
import { ThemingProps } from '@chakra-ui/styled-system';

interface DividerProps extends HTMLChakraProps<"div">, ThemingProps<"Container"> {
    orientation?: "horizontal" | "vertical";
}
/**
 * Layout component used to visually separate content in a list or group.
 * It display a thin horizontal or vertical line, and renders a `hr` tag.
 *
 * @see Docs https://vue.chakra-ui.com/docs/data-display/divider
 */
declare const CDivider: vue.DefineComponent<{
    colorScheme: PropType<(string & {}) | "blue" | "cyan" | "gray" | "green" | "orange" | "pink" | "purple" | "red" | "teal" | "yellow" | "whiteAlpha" | "blackAlpha" | "linkedin" | "facebook" | "messenger" | "whatsapp" | "twitter" | "telegram" | undefined>;
    variant: PropType<any>;
    size: PropType<any>;
    styleConfig: PropType<Record<string, any> | undefined>;
    orientation: {
        type: PropType<"horizontal" | "vertical" | undefined>;
        default: string;
    };
}, () => JSX.Element, unknown, {}, {}, vue.ComponentOptionsMixin, vue.ComponentOptionsMixin, {}, string, vue.VNodeProps & vue.AllowedComponentProps & vue.ComponentCustomProps, Readonly<vue.ExtractPropTypes<{
    colorScheme: PropType<(string & {}) | "blue" | "cyan" | "gray" | "green" | "orange" | "pink" | "purple" | "red" | "teal" | "yellow" | "whiteAlpha" | "blackAlpha" | "linkedin" | "facebook" | "messenger" | "whatsapp" | "twitter" | "telegram" | undefined>;
    variant: PropType<any>;
    size: PropType<any>;
    styleConfig: PropType<Record<string, any> | undefined>;
    orientation: {
        type: PropType<"horizontal" | "vertical" | undefined>;
        default: string;
    };
}>>, {
    orientation: "horizontal" | "vertical" | undefined;
}>;

export { CDivider, DividerProps };
