"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __name = (target, value) => __defProp(target, "name", { value, configurable: true });
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/simple-grid.tsx
var simple_grid_exports = {};
__export(simple_grid_exports, {
  CSimpleGrid: () => CSimpleGrid
});
module.exports = __toCommonJS(simple_grid_exports);
var import_vue3 = require("vue");
var import_vue4 = require("vue");
var import_vue_utils2 = require("@chakra-ui/vue-utils");

// src/grid.tsx
var import_vue = require("vue");
var import_vue2 = require("vue");
var import_vue_system = require("@chakra-ui/vue-system");
var import_utils = require("@chakra-ui/utils");
var import_vue_utils = require("@chakra-ui/vue-utils");
function _isSlot(s) {
  return typeof s === "function" || Object.prototype.toString.call(s) === "[object Object]" && !(0, import_vue.isVNode)(s);
}
__name(_isSlot, "_isSlot");
var CGrid = (0, import_vue2.defineComponent)({
  name: "CGrid",
  props: {
    as: {
      type: [String, Object],
      default: "div"
    },
    templateColumns: import_vue_utils.SNAO,
    gap: import_vue_utils.SNAO,
    rowGap: import_vue_utils.SNAO,
    columnGap: import_vue_utils.SNAO,
    autoFlow: import_vue_utils.SNAO,
    autoRows: import_vue_utils.SNAO,
    autoColumns: import_vue_utils.SNAO,
    templateRows: import_vue_utils.SNAO,
    templateAreas: import_vue_utils.SNAO,
    area: import_vue_utils.SNAO,
    column: import_vue_utils.SNAO,
    row: import_vue_utils.SNAO
  },
  setup(props, {
    slots,
    attrs
  }) {
    const styles = (0, import_vue2.computed)(() => (0, import_utils.filterUndefined)({
      display: "grid",
      gridArea: props.area,
      gridTemplateAreas: props.templateAreas,
      gridGap: props.gap,
      gridRowGap: props.rowGap,
      gridColumnGap: props.columnGap,
      gridAutoColumns: props.autoColumns,
      gridColumn: props.column,
      gridRow: props.row,
      gridAutoFlow: props.autoFlow,
      gridAutoRows: props.autoRows,
      gridTemplateRows: props.templateRows,
      gridTemplateColumns: props.templateColumns
    }));
    return () => {
      return (0, import_vue.createVNode)(import_vue_system.chakra.div, (0, import_vue.mergeProps)({
        "as": props.as,
        "__label": "grid",
        "__css": styles.value
      }, attrs), _isSlot(slots) ? slots : {
        default: () => [slots]
      });
    };
  }
});
function spanFn(span) {
  return (0, import_utils.mapResponsive)(span, (value) => value === "auto" ? "auto" : `span ${value}/span ${value}`);
}
__name(spanFn, "spanFn");
var CGridItem = (0, import_vue2.defineComponent)({
  name: "CGridItem",
  props: {
    as: {
      type: [String, Object],
      default: "div"
    },
    colSpan: import_vue_utils.SNAO,
    colStart: import_vue_utils.SNAO,
    colEnd: import_vue_utils.SNAO,
    rowStart: import_vue_utils.SNAO,
    rowEnd: import_vue_utils.SNAO,
    rowSpan: import_vue_utils.SNAO
  },
  setup(props, {
    slots,
    attrs
  }) {
    const styles = (0, import_vue2.computed)(() => (0, import_utils.filterUndefined)({
      gridColumn: spanFn(props.colSpan),
      gridRow: spanFn(props.rowSpan),
      gridColumnStart: props.colStart,
      gridColumnEnd: props.colEnd,
      gridRowStart: props.rowStart,
      gridRowEnd: props.rowEnd
    }));
    return () => (0, import_vue.createVNode)(import_vue_system.chakra.div, (0, import_vue.mergeProps)({
      "as": props.as,
      "__label": "grid__item",
      "__css": styles.value
    }, attrs), _isSlot(slots) ? slots : {
      default: () => [slots]
    });
  }
});

// src/simple-grid.tsx
var import_utils2 = require("@chakra-ui/utils");
function _isSlot2(s) {
  return typeof s === "function" || Object.prototype.toString.call(s) === "[object Object]" && !(0, import_vue3.isVNode)(s);
}
__name(_isSlot2, "_isSlot");
var CSimpleGrid = (0, import_vue4.defineComponent)({
  name: "CSimpleGrid",
  props: {
    as: {
      type: [Object, String],
      default: "ul"
    },
    minChildWidth: import_vue_utils2.SNAO,
    columns: import_vue_utils2.SNAO,
    spacing: import_vue_utils2.SNAO,
    spacingX: import_vue_utils2.SNAO,
    spacingY: import_vue_utils2.SNAO
  },
  setup(props, {
    slots,
    attrs
  }) {
    const templateColumns = (0, import_vue4.computed)(() => props.minChildWidth ? widthToColumns(props.minChildWidth) : countToColumns(props.columns));
    return () => (0, import_vue3.createVNode)(CGrid, (0, import_vue3.mergeProps)({
      "as": props.as,
      "__label": "simple-grid",
      "gap": props.spacing,
      "columnGap": props.spacingX,
      "rowGap": props.spacingY,
      "templateColumns": templateColumns.value
    }, attrs), _isSlot2(slots) ? slots : {
      default: () => [slots]
    });
  }
});
function toPx(n) {
  return (0, import_utils2.isNumber)(n) ? `${n}px` : n;
}
__name(toPx, "toPx");
function widthToColumns(width) {
  return (0, import_utils2.mapResponsive)(width, (value) => (0, import_utils2.isNull)(value) ? null : `repeat(auto-fit, minmax(${toPx(value)}, 1fr))`);
}
__name(widthToColumns, "widthToColumns");
function countToColumns(count) {
  return (0, import_utils2.mapResponsive)(count, (value) => (0, import_utils2.isNull)(value) ? null : `repeat(${value}, minmax(0, 1fr))`);
}
__name(countToColumns, "countToColumns");
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  CSimpleGrid
});
